// vue.config.js
const basicAuth = require('express-basic-auth');

module.exports = {
    devServer: {
        headers: {
            "Access-Control-Allow-Origin": "*",
            "Access-Control-Allow-Headers": "*",
            "Access-Control-Allow-Methods": "*"
        },
        setupMiddlewares: (middlewares, devServer) => {
            devServer.app.use(basicAuth({
                users: {
                    'c3lf': 'findetalles'
                },
                challenge: true
            }));

            return middlewares;
        },
        proxy: {
            '/api/2': {
                target: 'https://sys3.c3lf.de/',
                changeOrigin: true,
            },
            '/api/1': {
                target: 'https://sys3.c3lf.de/',
                changeOrigin: true,
            },
            '/ws/2': {
                target: 'https://sys3.c3lf.de/',
                changeOrigin: true,
                ws: true,
                logLevel: 'debug',
                xfwd: false,
            },
        }
    }
}